//
//  bt_l2cap_cb_common.h
//
//  Bluetooth Protocol Stack - Common block table
//  Copyright (C) 2014 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//  Update history
//  ---------- ----- -------------------------------------------
//  2014.02.23 v0.1a Supported the Security Manager
//
#ifndef BT_L2CAP_CB_COMMON_H_
#define BT_L2CAP_CB_COMMON_H_

//
//  Global area
//
struct bt_l2capCommon {
    unsigned char   myBdAddr[6];
    unsigned char   myAddressType;
    int             hciVersion;
    int             resourceManagerRequest;
};
extern struct bt_l2capCommon    bt_l2capCommon;

#endif /* BT_L2CAP_CB_COMMON_H_ */
