//
//  Board support package (PIC32MX250F128B) for whm 0.6.5
//
#ifndef _BSP_CONFIG_H
#define _BSP_CONFIG_H

typedef enum {
    BSP_LED_1,
    BSP_LED_2,
    BSP_LED_3
} BSP_LED;

typedef enum {
    BSP_LED_STATE_OFF = 0,
    BSP_LED_STATE_ON  = 1,
} BSP_LED_STATE;

void    BSP_LEDStateSet(BSP_LED led, BSP_LED_STATE state);
#define BSP_LEDOn(l)        BSP_LEDStateSet(l, BSP_LED_STATE_ON)
#define BSP_LEDOff(l)       BSP_LEDStateSet(l, BSP_LED_STATE_OFF)

#endif //_BSP_CONFIG_H

