//
//  Board support package (PIC32MX250F128B) for whm 0.6.5
//
#include "bsp_config.h"
#include "music_box.h"                  // Local subroutines MBOX_*()

BSP_LED_STATE   BSP_Led1state = BSP_LED_STATE_OFF;

void BSP_LEDStateSet(BSP_LED led, BSP_LED_STATE state){
    if (BSP_Led1state != state) {
        BSP_Led1state  = state;
        if (state == BSP_LED_STATE_ON) {
            MBOX_Start(MBOX_BeepUp, 10, 0);
        } else {
            MBOX_Start(MBOX_BeepDown, 10, 0);
        }
    }
    return;
}
